#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

def tenjika(moji,ary,ten)
  moji=String.new
  for namae1 in ary
    #p namae1
    #p ch[namae1][0]
    d = ten[namae1][0]
    d += ten[namae1][1]
    d += ten[namae1][2]
    d += ten[namae1][3]
    d += ten[namae1][4]
    d += ten[namae1][5]
    #p d
    #６点表記で最後の２文字あが００の場合正しく変換されないため追記
    g = d.to_s.reverse
    f=g[-4..-1]#.to_s.reverse
    hh=g[-6..-5]#.to_s.reverse
    
    #p f
    #p hh
    c = f.to_i(2)
    kk=hh.to_i(2) 
    #p kk
    #p c
    
    #if c <= 10      #2ケタ目がないと2進数に戻した時に0がなくなるので対策
    #  e = "0"
    #  e += c.to_s
    #p e
    # else
    ee =kk.to_s(16)  
    e = c.to_s(16)
    #p ee
    #p e 
    # end 
    
    
    moji+="&#x28#{ee}#{e};"
  end
  moji
end




